Savings

Get Savings Programs

GET
/savings-programs

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer
Default20
offset?integer
Default0
filter[name]?string
filter[isActive]?boolean
filter[savingsProgramStartDate]?string
Formatdate-time
filter[savingsProgramEndDate]?string
Formatdate-time
filter[createdAtStartDate]?string
Formatdate-time
filter[createdAtEndDate]?string
Formatdate-time
sort_by?string

Value in

  • "name"
  • "isActive"
  • "createdAt"
  • "updatedAt"
sort_order?string

Value in

  • "asc"
  • "desc"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/savings-programs"
{  "total": 0,  "savingsPrograms": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "description": "string",      "currency": "string",      "isActive": true,      "levels": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "savingsProgramId": "e85e6f4f-93e7-4ca2-b1e5-e56a2346eaa3",          "level": 0,          "rewardValue": "string",          "isActive": true,          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z"        }      ],      "createdBy": "string",      "updatedBy": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}